## osmcoastline 2.1.0

=== CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
#  CMake Config
#
#  OSMCoastline
#
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)


#-----------------------------------------------------------------------------
#
#  Project version
#
#-----------------------------------------------------------------------------

project(osmcoastline)

set(OSMCOASTLINE_VERSION_MAJOR 2)
set(OSMCOASTLINE_VERSION_MINOR 1)
set(OSMCOASTLINE_VERSION_PATCH 0)

set(OSMCOASTLINE_VERSION
    ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})

set(AUTHOR "Jochen Topf <jochen@topf.org>")


#-----------------------------------------------------------------------------
#
#  Find external dependencies
#
#-----------------------------------------------------------------------------

find_package(Osmium COMPONENTS io gdal)
include_directories(${OSMIUM_INCLUDE_DIRS})

if(MSVC)
    find_path(GETOPT_INCLUDE_DIR getopt.h)
    find_library(GETOPT_LIBRARY NAMES wingetopt)
    if(GETOPT_INCLUDE_DIR AND GETOPT_LIBRARY)
        include_directories(${GETOPT_INCLUDE_DIR})
        list(APPEND OSMIUM_LIBRARIES ${GETOPT_LIBRARY})
    else()
        set(GETOPT_MISSING 1)
    endif()
endif()


#-----------------------------------------------------------------------------
#
#  Decide which C++ version to use (Minimum/default: C++11).
#
#-----------------------------------------------------------------------------
if(NOT MSVC)
    if(NOT USE_CPP_VERSION)
        set(USE_CPP_VERSION c++11)
    endif()
    message(STATUS "Use C++ version: ${USE_CPP_VERSION}")
    # following only available from cmake 2.8.12:
    #   add_compile_options(-std=${USE_CPP_VERSION})
    # so using this instead:
    add_definitions(-std=${USE_CPP_VERSION})
endif()


#-----------------------------------------------------------------------------
#
#  Compiler and Linker flags
#
#-----------------------------------------------------------------------------
if(MSVC)
    set(USUAL_COMPILE_OPTIONS "/Ox")
else()
    set(USUAL_COMPILE_OPTIONS "-O3 -g")
endif()

if(WIN32)
    add_definitions(-DWIN32 -D_WIN32 -DMSWIN32 -DBGDWIN32
                    -DWINVER=0x0500 -D_WIN32_WINNT=0x0500 -D_WIN32_IE=0x0600)
endif()

set(CMAKE_CXX_FLAGS_DEV "${USUAL_COMPILE_OPTIONS}"
    CACHE STRING "Flags used by the compiler during developer builds."
    FORCE)

set(CMAKE_EXE_LINKER_FLAGS_DEV ""
    CACHE STRING "Flags used by the linker during developer builds."
    FORCE)
mark_as_advanced(
    CMAKE_CXX_FLAGS_DEV
    CMAKE_EXE_LINKER_FLAGS_DEV
)

set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${USUAL_COMPILE_OPTIONS}"
    CACHE STRING "Flags used by the compiler during RELWITHDEBINFO builds."
    FORCE)


#-----------------------------------------------------------------------------
#
#  Build Type
#
#-----------------------------------------------------------------------------
set(CMAKE_CONFIGURATION_TYPES "Debug Release RelWithDebInfo MinSizeRel Dev")

# In 'Dev' mode: compile with very strict warnings and turn them into errors.
if(CMAKE_BUILD_TYPE STREQUAL "Dev")
    if(NOT MSVC)
        add_definitions(-Werror -fno-omit-frame-pointer)
    endif()
    add_definitions(${OSMIUM_WARNING_OPTIONS})
endif()

# Force RelWithDebInfo build type if none was given
if(CMAKE_BUILD_TYPE)
    set(build_type ${CMAKE_BUILD_TYPE})
else()
    set(build_type "RelWithDebInfo")
endif()

set(CMAKE_BUILD_TYPE ${build_type}
    CACHE STRING
    "Choose the type of build, options are: ${CMAKE_CONFIGURATION_TYPES}."
    FORCE)


#-----------------------------------------------------------------------------
#
#  Optional "cppcheck" target that checks C++ code
#
#-----------------------------------------------------------------------------
message(STATUS "Looking for cppcheck")
find_program(CPPCHECK cppcheck)

if(CPPCHECK)
    message(STATUS "Looking for cppcheck - found")
    set(CPPCHECK_OPTIONS --enable=all)

    # cpp doesn't find system includes for some reason, suppress that report
    set(CPPCHECK_OPTIONS ${CPPCHECK_OPTIONS} --suppress=missingIncludeSystem)

    file(GLOB ALL_CODE *.cpp)

    set(CPPCHECK_FILES ${ALL_CODE})

    add_custom_target(cppcheck
        ${CPPCHECK}
        --std=c++11 ${CPPCHECK_OPTIONS}
        ${CPPCHECK_FILES}
    )
else()
    message(STATUS "Looking for cppcheck - not found")
    message(STATUS "  Build target 'cppcheck' will not be available.")
endif(CPPCHECK)


#-----------------------------------------------------------------------------
#
#  Optional "man" target to generate man pages
#
#-----------------------------------------------------------------------------
message(STATUS "Looking for pandoc")
find_program(PANDOC pandoc)

function(add_man_page _section _name)
    file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/man/man${_section})
    set(_output_file ${CMAKE_BINARY_DIR}/man/man${_section}/${_name}.${_section})
    set(_source_file ${CMAKE_SOURCE_DIR}/man/${_name}.md)
    set(_install_dir "share/man/man{$_section}")
    string(TOUPPER ${_name} _name_upcase)
    add_custom_command(OUTPUT ${_output_file}
        COMMAND ${PANDOC}
            ${PANDOC_MAN_OPTIONS}
            --variable "title=${_name_upcase}"
            --variable "section=${_section}"
            -o ${_output_file}
            ${_source_file}
        DEPENDS ${_source_file} man/manpage.template
        WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
        COMMENT "Building manpage ${_name}.${_section}"
        VERBATIM)
    set(ALL_MAN_PAGES "${ALL_MAN_PAGES};${_output_file}" PARENT_SCOPE)
endfunction()


if(PANDOC)
    message(STATUS "Looking for pandoc - found")
    message(STATUS "  Manual pages will be built")
    set(PANDOC_MAN_OPTIONS
        -s
        -t man
        --template ${CMAKE_CURRENT_SOURCE_DIR}/man/manpage.template
        --variable "description=osmcoastline/${OSMCOASTLINE_VERSION}"
        --variable "version=${OSMCOASTLINE_VERSION}"
        --variable "author=${AUTHOR}"
    )
    set(PANDOC_HTML_OPTIONS -s -t html)

    add_man_page(1 osmcoastline)
    add_man_page(1 osmcoastline_filter)
    add_man_page(1 osmcoastline_readmeta)
    add_man_page(1 osmcoastline_segments)
    add_man_page(1 osmcoastline_ways)

    install(DIRECTORY ${CMAKE_BINARY_DIR}/man DESTINATION share)

    add_custom_target(man ALL DEPENDS ${ALL_MAN_PAGES})
else()
    message(STATUS "Looking for pandoc - not found")
    message(STATUS "  Manual pages will not be built")
endif(PANDOC)


#-----------------------------------------------------------------------------

find_library(GEOS_C_LIBRARIES NAMES geos_c)

add_definitions(${OSMIUM_WARNING_OPTIONS})

add_subdirectory(src)

configure_file(
    ${PROJECT_SOURCE_DIR}/runtest.sh.in
    ${PROJECT_BINARY_DIR}/runtest.sh
)

configure_file(
    ${PROJECT_SOURCE_DIR}/coastline_sqlite.qgs
    ${PROJECT_BINARY_DIR}/coastline_sqlite.qgs
)

configure_file(
    ${PROJECT_SOURCE_DIR}/coastline_sources.qgs
    ${PROJECT_BINARY_DIR}/coastline_sources.qgs
)

configure_file(
    ${PROJECT_SOURCE_DIR}/osmcoastline_readmeta
    ${PROJECT_BINARY_DIR}/osmcoastline_readmeta
    COPYONLY
)
install(PROGRAMS osmcoastline_readmeta DESTINATION bin)


#-----------------------------------------------------------------------------
#
#  Documentation
#
#-----------------------------------------------------------------------------

add_subdirectory(doc)


#-----------------------------------------------------------------------------
#
#  Packaging
#
#-----------------------------------------------------------------------------

set(CPACK_PACKAGE_VERSION_MAJOR ${OSMCOASTLINE_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${OSMCOASTLINE_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${OSMCOASTLINE_VERSION_PATCH})

if(WIN32)
    set(CPACK_GENERATOR ZIP)
else()
    set(CPACK_GENERATOR TGZ)
endif()

include(CPack)


#-----------------------------------------------------------------------------

=== src/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
#  CMake Config
#
#  OSMCoastline
#
#-----------------------------------------------------------------------------

add_executable(osmcoastline osmcoastline.cpp coastline_ring.cpp coastline_ring_collection.cpp coastline_polygons.cpp output_database.cpp output_layers.cpp srs.cpp options.cpp)
target_link_libraries(osmcoastline ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES} ${GEOS_C_LIBRARIES})
install(TARGETS osmcoastline DESTINATION bin)

add_executable(osmcoastline_filter osmcoastline_filter.cpp)
target_link_libraries(osmcoastline_filter ${OSMIUM_IO_LIBRARIES})
install(TARGETS osmcoastline_filter DESTINATION bin)

add_executable(osmcoastline_segments osmcoastline_segments.cpp srs.cpp)
target_link_libraries(osmcoastline_segments ${GDAL_LIBRARIES})
install(TARGETS osmcoastline_segments DESTINATION bin)

add_executable(osmcoastline_ways osmcoastline_ways.cpp osmcoastline.hpp)
target_link_libraries(osmcoastline_ways ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES})
install(TARGETS osmcoastline_ways DESTINATION bin)

=== debian/changelog ===
osmcoastline (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependency on osmpbf.
  * Bump minimum required libosmium2-dev to 2.3.0.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 21:28:32 +0200

osmcoastline (2.0.1-2) unstable; urgency=medium

  * Add patch to make the build reproducible.
  * Handle other extensions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jun 2015 19:56:38 +0200

osmcoastline (2.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #779944)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jun 2015 23:13:35 +0200

=== debian/control ===
Source: osmcoastline
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libbz2-dev,
               libexpat1-dev,
               libgdal-dev,
               libgeos++-dev,
               libosmium2-dev (>= 2.3.0),
               libspatialite-dev,
               pandoc,
               sqlite3,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/osmcoastline.git/
Vcs-Git: git://anonscm.debian.org/pkg-grass/osmcoastline.git
Homepage: http://osmcode.org/osmcoastline/

Package: osmcoastline
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Extract coastline data from OpenStreetMap planet file
 OSMCoastline extracts the coastline from an OSM planet file and assembles all
 the pieces into polygons for use in map renderers etc.
 .
 OSMCoastline relies on the Osmium library for its OpenStreetMap data handling.
 .
 The Osmium library has extensive support for all types of OSM entities: nodes,
 ways, relations, and changesets. It allows reading from and writing to OSM
 files in XML and PBF formats, including change files and full history files.
 Osmium can store OSM data in memory and on disk in various formats and using
 various indexes. Its easy to use handler interface allows you to quickly write
 data filtering and conversion functions. Osmium can create WKT, WKB, OGR, GEOS
 and GeoJSON geometries for easy conversion into many GIS formats and it can
 assemble multipolygons from ways and relations.
 .
 This package contains the OSMCoastline utilities.

## osmcoastline 2.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,11 +22,13 @@
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
 set(OSMCOASTLINE_VERSION_MINOR 1)
-set(OSMCOASTLINE_VERSION_PATCH 0)
+set(OSMCOASTLINE_VERSION_PATCH 2)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})
 
+add_definitions(-DOSMCOASTLINE_VERSION="${OSMCOASTLINE_VERSION}")
+
 set(AUTHOR "Jochen Topf <jochen@topf.org>")
 
 
@@ -36,8 +38,10 @@
 #
 #-----------------------------------------------------------------------------
 
+include_directories(include)
+
 find_package(Osmium COMPONENTS io gdal)
-include_directories(${OSMIUM_INCLUDE_DIRS})
+include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
 
 if(MSVC)
     find_path(GETOPT_INCLUDE_DIR getopt.h)
@@ -242,7 +246,7 @@
 configure_file(
     ${PROJECT_SOURCE_DIR}/osmcoastline_readmeta
     ${PROJECT_BINARY_DIR}/osmcoastline_readmeta
-    COPYONLY
+    @ONLY
 )
 install(PROGRAMS osmcoastline_readmeta DESTINATION bin)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 #-----------------------------------------------------------------------------
 
-add_executable(osmcoastline osmcoastline.cpp coastline_ring.cpp coastline_ring_collection.cpp coastline_polygons.cpp output_database.cpp output_layers.cpp srs.cpp options.cpp)
+add_executable(osmcoastline osmcoastline.cpp coastline_ring.cpp coastline_ring_collection.cpp coastline_polygons.cpp output_database.cpp srs.cpp options.cpp)
 target_link_libraries(osmcoastline ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES} ${GEOS_C_LIBRARIES})
 install(TARGETS osmcoastline DESTINATION bin)
 
@@ -18,7 +18,7 @@
 target_link_libraries(osmcoastline_segments ${GDAL_LIBRARIES})
 install(TARGETS osmcoastline_segments DESTINATION bin)
 
-add_executable(osmcoastline_ways osmcoastline_ways.cpp osmcoastline.hpp)
+add_executable(osmcoastline_ways osmcoastline_ways.cpp return_codes.hpp)
 target_link_libraries(osmcoastline_ways ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES})
 install(TARGETS osmcoastline_ways DESTINATION bin)

=== debian/changelog ===
osmcoastline (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years for Jochen Topf.
  * Drop GDAL 2.0 patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jan 2016 07:44:30 +0100

osmcoastline (2.1.1-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Dec 2015 14:22:58 +0100

osmcoastline (2.1.1-2~exp1) experimental; urgency=medium

  * Add upstream patch for GDAL 2.0 support.
    (closes: #802813)
  * Bump minimum required libosmium2-dev to 2.5.4.
  * Add build dependency on libgdalcpp-dev for gdalcpp.hpp,
    provided by libosmium2-dev >= 2.5.4.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2015 23:15:48 +0100

osmcoastline (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 16:04:53 +0200

osmcoastline (2.1.0-2) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Rebuild for geos transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Aug 2015 16:00:19 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.3.0),
+               libosmium2-dev (>= 2.5.4),
+               libgdalcpp-dev,
                libspatialite-dev,
                pandoc,
                sqlite3,
                zlib1g-dev
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/osmcoastline.git/
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmcoastline.git/
 Vcs-Git: git://anonscm.debian.org/pkg-grass/osmcoastline.git
 Homepage: http://osmcode.org/osmcoastline/

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

%:
	dh $@ --buildsystem cmake \
	      --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_auto_test:
	(cd obj-* && ./runtest.sh || echo "Ignoring expected test failure")

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*)?v(\d[\d\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osmcoastline-$1.$2/ \
https://github.com/osmcode/osmcoastline/releases \
(?:.*/)?(?:rel|v|osmcoastline)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osmcoastline 2.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
 set(OSMCOASTLINE_VERSION_MINOR 1)
-set(OSMCOASTLINE_VERSION_PATCH 2)
+set(OSMCOASTLINE_VERSION_PATCH 3)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})

=== debian/changelog ===
osmcoastline (2.1.3-2build1) yakkety; urgency=medium

  * Rebuild against gdal-abi-2-1-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Jul 2016 16:13:58 +0200

osmcoastline (2.1.3-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Update watch file to handle more tag conventions in filenamemangle.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jun 2016 17:58:26 +0200

osmcoastline (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Mar 2016 11:33:34 +0200

osmcoastline (2.1.2-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Mar 2016 20:03:42 +0100

## osmcoastline 2.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,6 @@
 cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
-set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
-
 
 #-----------------------------------------------------------------------------
 #
@@ -22,7 +20,7 @@
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
 set(OSMCOASTLINE_VERSION_MINOR 1)
-set(OSMCOASTLINE_VERSION_PATCH 3)
+set(OSMCOASTLINE_VERSION_PATCH 4)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})
@@ -30,6 +28,8 @@
 add_definitions(-DOSMCOASTLINE_VERSION="${OSMCOASTLINE_VERSION}")
 
 set(AUTHOR "Jochen Topf <jochen@topf.org>")
+
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
 
 #-----------------------------------------------------------------------------
@@ -48,7 +48,6 @@
     find_library(GETOPT_LIBRARY NAMES wingetopt)
     if(GETOPT_INCLUDE_DIR AND GETOPT_LIBRARY)
         include_directories(${GETOPT_INCLUDE_DIR})
-        list(APPEND OSMIUM_LIBRARIES ${GETOPT_LIBRARY})
     else()
         set(GETOPT_MISSING 1)
     endif()
@@ -148,7 +147,7 @@
     # cpp doesn't find system includes for some reason, suppress that report
     set(CPPCHECK_OPTIONS ${CPPCHECK_OPTIONS} --suppress=missingIncludeSystem)
 
-    file(GLOB ALL_CODE *.cpp)
+    file(GLOB ALL_CODE src/*.cpp)
 
     set(CPPCHECK_FILES ${ALL_CODE})
 
@@ -161,6 +160,23 @@
     message(STATUS "Looking for cppcheck - not found")
     message(STATUS "  Build target 'cppcheck' will not be available.")
 endif(CPPCHECK)
+
+
+#-----------------------------------------------------------------------------
+#
+#  Optional "iwyu" target to check headers
+#  http://include-what-you-use.org/
+#
+#-----------------------------------------------------------------------------
+find_program(IWYU_TOOL iwyu_tool.py)
+
+if(IWYU_TOOL)
+    message(STATUS "Looking for iwyu_tool.py - found")
+    add_custom_target(iwyu ${IWYU_TOOL} -p ${CMAKE_BINARY_DIR})
+else()
+    message(STATUS "Looking for iwyu_tool.py - not found")
+    message(STATUS "  Make target iwyu not available")
+endif()
 
 
 #-----------------------------------------------------------------------------
@@ -223,6 +239,7 @@
 #-----------------------------------------------------------------------------
 
 find_library(GEOS_C_LIBRARIES NAMES geos_c)
+include_directories (SYSTEM ${GEOS_C_INCLUDE_DIR})
 
 add_definitions(${OSMIUM_WARNING_OPTIONS})

=== src/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
#  CMake Config
#
#  OSMCoastline
#
#-----------------------------------------------------------------------------

add_executable(osmcoastline osmcoastline.cpp coastline_ring.cpp coastline_ring_collection.cpp coastline_polygons.cpp output_database.cpp srs.cpp options.cpp)
target_link_libraries(osmcoastline ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES} ${GEOS_C_LIBRARIES} ${GETOPT_LIBRARY})
install(TARGETS osmcoastline DESTINATION bin)

add_executable(osmcoastline_filter osmcoastline_filter.cpp)
target_link_libraries(osmcoastline_filter ${OSMIUM_IO_LIBRARIES} ${GETOPT_LIBRARY})
install(TARGETS osmcoastline_filter DESTINATION bin)

add_executable(osmcoastline_segments osmcoastline_segments.cpp srs.cpp)
target_link_libraries(osmcoastline_segments ${GDAL_LIBRARIES} ${GETOPT_LIBRARY})
install(TARGETS osmcoastline_segments DESTINATION bin)

add_executable(osmcoastline_ways osmcoastline_ways.cpp return_codes.hpp)
target_link_libraries(osmcoastline_ways ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES})
install(TARGETS osmcoastline_ways DESTINATION bin)

=== debian/changelog ===
osmcoastline (2.1.4-4) unstable; urgency=medium

  * Update osmcode.org URLs to use HTTPS.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 10:05:38 +0200

osmcoastline (2.1.4-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from control & rules files.
  * Check DEB_BUILD_OPTIONS for nocheck in dh_auto_test override.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 09:28:45 +0200

osmcoastline (2.1.4-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 21:13:03 +0200

osmcoastline (2.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Sep 2016 20:42:39 +0200

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,10 @@
                pandoc,
                sqlite3,
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmcoastline.git/
-Vcs-Git: git://anonscm.debian.org/pkg-grass/osmcoastline.git
-Homepage: http://osmcode.org/osmcoastline/
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
+Homepage: https://osmcode.org/osmcoastline/
 
 Package: osmcoastline
 Architecture: any
@@ -41,4 +41,3 @@
  assemble multipolygons from ways and relations.
  .
  This package contains the OSMCoastline utilities.
-

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem cmake \
	      --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	(cd obj-* && ./runtest.sh || echo "Ignoring expected test failure")
endif

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## osmcoastline 2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,14 +19,12 @@
 project(osmcoastline)
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
-set(OSMCOASTLINE_VERSION_MINOR 1)
-set(OSMCOASTLINE_VERSION_PATCH 4)
+set(OSMCOASTLINE_VERSION_MINOR 2)
+set(OSMCOASTLINE_VERSION_PATCH 3)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})
 
-add_definitions(-DOSMCOASTLINE_VERSION="${OSMCOASTLINE_VERSION}")
-
 set(AUTHOR "Jochen Topf <jochen@topf.org>")
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
@@ -40,7 +38,7 @@
 
 include_directories(include)
 
-find_package(Osmium COMPONENTS io gdal)
+find_package(Osmium 2.13.1 COMPONENTS io gdal)
 include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
 
 if(MSVC)
@@ -77,9 +75,11 @@
 #
 #-----------------------------------------------------------------------------
 if(MSVC)
-    set(USUAL_COMPILE_OPTIONS "/Ox")
-else()
-    set(USUAL_COMPILE_OPTIONS "-O3 -g")
+    set(DEV_COMPILE_OPTIONS "/Ox")
+    set(RWD_COMPILE_OPTIONS "/Ox /DNDEBUG")
+else()
+    set(DEV_COMPILE_OPTIONS "-O3 -g")
+    set(RWD_COMPILE_OPTIONS "-O3 -g -DNDEBUG")
 endif()
 
 if(WIN32)
@@ -87,7 +87,7 @@
                     -DWINVER=0x0500 -D_WIN32_WINNT=0x0500 -D_WIN32_IE=0x0600)
 endif()
 
-set(CMAKE_CXX_FLAGS_DEV "${USUAL_COMPILE_OPTIONS}"
+set(CMAKE_CXX_FLAGS_DEV "${DEV_COMPILE_OPTIONS}"
     CACHE STRING "Flags used by the compiler during developer builds."
     FORCE)
 
@@ -99,7 +99,7 @@
     CMAKE_EXE_LINKER_FLAGS_DEV
 )
 
-set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${USUAL_COMPILE_OPTIONS}"
+set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${RWD_COMPILE_OPTIONS}"
     CACHE STRING "Flags used by the compiler during RELWITHDEBINFO builds."
     FORCE)
 
@@ -134,6 +134,30 @@
 
 #-----------------------------------------------------------------------------
 #
+#  Optional "clang-tidy" target
+#
+#-----------------------------------------------------------------------------
+message(STATUS "Looking for clang-tidy")
+find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-6.0 clang-tidy-5.0)
+
+if(CLANG_TIDY)
+    message(STATUS "Looking for clang-tidy - found ${CLANG_TIDY}")
+
+    file(GLOB _all_code src/*.cpp)
+
+    add_custom_target(clang-tidy
+        ${CLANG_TIDY}
+        -p ${CMAKE_BINARY_DIR}
+        ${_all_code}
+        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/src"
+    )
+else()
+    message(STATUS "Looking for clang-tidy - not found")
+    message(STATUS "  Build target 'clang-tidy' will not be available.")
+endif()
+
+#-----------------------------------------------------------------------------
+#
 #  Optional "cppcheck" target that checks C++ code
 #
 #-----------------------------------------------------------------------------
@@ -165,10 +189,10 @@
 #-----------------------------------------------------------------------------
 #
 #  Optional "iwyu" target to check headers
-#  http://include-what-you-use.org/
-#
-#-----------------------------------------------------------------------------
-find_program(IWYU_TOOL iwyu_tool.py)
+#  https://include-what-you-use.org/
+#
+#-----------------------------------------------------------------------------
+find_program(IWYU_TOOL NAMES iwyu_tool iwyu_tool.py)
 
 if(IWYU_TOOL)
     message(STATUS "Looking for iwyu_tool.py - found")
@@ -237,6 +261,30 @@
 
 
 #-----------------------------------------------------------------------------
+#
+#  Version
+#
+#-----------------------------------------------------------------------------
+
+find_package(Git)
+
+if(GIT_FOUND)
+    execute_process(COMMAND "${GIT_EXECUTABLE}" describe --tags --dirty=-changed
+                    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
+                    OUTPUT_VARIABLE VERSION_FROM_GIT
+                    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
+    if(VERSION_FROM_GIT)
+        set(VERSION_FROM_GIT " (${VERSION_FROM_GIT})")
+    endif()
+endif()
+
+configure_file(
+    ${PROJECT_SOURCE_DIR}/src/version.cpp.in
+    ${PROJECT_BINARY_DIR}/src/version.cpp
+)
+
+
+#-----------------------------------------------------------------------------
 
 find_library(GEOS_C_LIBRARIES NAMES geos_c)
 include_directories (SYSTEM ${GEOS_C_INCLUDE_DIR})
@@ -279,6 +327,16 @@
 
 #-----------------------------------------------------------------------------
 #
+#  Tests
+#
+#-----------------------------------------------------------------------------
+
+enable_testing()
+add_subdirectory(test)
+
+
+#-----------------------------------------------------------------------------
+#
 #  Packaging
 #
 #-----------------------------------------------------------------------------

=== debian/changelog ===
osmcoastline (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Add -DCMAKE_BUILD_TYPE=RelWithDebInfo CMake option.
  * Drop unused lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Feb 2019 16:34:36 +0100

osmcoastline (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.
  * Update copyright years for Jochen Topf.
  * Add lintian override for file-references-package-build-path.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 03 Feb 2019 19:30:14 +0100

osmcoastline (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Add spatialite-bin to build dependencies for tests.
  * Also run ctest tests.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 08 Dec 2018 10:16:15 +0100

osmcoastline (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Require at least libosmium2-dev 2.13.1.
  * Update copyright years for Jochen Topf.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Sep 2018 08:48:51 +0200

## osmcoastline 2.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
 set(OSMCOASTLINE_VERSION_MINOR 2)
-set(OSMCOASTLINE_VERSION_PATCH 3)
+set(OSMCOASTLINE_VERSION_PATCH 4)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})
@@ -138,7 +138,7 @@
 #
 #-----------------------------------------------------------------------------
 message(STATUS "Looking for clang-tidy")
-find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-6.0 clang-tidy-5.0)
+find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-7 clang-tidy-7.0 clang-tidy-6.0 clang-tidy-5.0)
 
 if(CLANG_TIDY)
     message(STATUS "Looking for clang-tidy - found ${CLANG_TIDY}")

=== src/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
#  CMake Config
#
#  OSMCoastline
#
#-----------------------------------------------------------------------------

add_executable(osmcoastline
    osmcoastline.cpp coastline_ring.cpp coastline_ring_collection.cpp coastline_polygons.cpp output_database.cpp srs.cpp options.cpp
    ${PROJECT_BINARY_DIR}/src/version.cpp)

target_link_libraries(osmcoastline ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES} ${GEOS_C_LIBRARIES} ${GETOPT_LIBRARY})
set_pthread_on_target(osmcoastline)
install(TARGETS osmcoastline DESTINATION bin)

add_executable(osmcoastline_filter osmcoastline_filter.cpp
    ${PROJECT_BINARY_DIR}/src/version.cpp)

target_link_libraries(osmcoastline_filter ${OSMIUM_IO_LIBRARIES} ${GETOPT_LIBRARY})
set_pthread_on_target(osmcoastline_filter)
install(TARGETS osmcoastline_filter DESTINATION bin)

add_executable(osmcoastline_segments osmcoastline_segments.cpp srs.cpp
    ${PROJECT_BINARY_DIR}/src/version.cpp)

target_link_libraries(osmcoastline_segments ${GDAL_LIBRARIES} ${GETOPT_LIBRARY})
install(TARGETS osmcoastline_segments DESTINATION bin)

add_executable(osmcoastline_ways osmcoastline_ways.cpp return_codes.hpp
    ${PROJECT_BINARY_DIR}/src/version.cpp)

target_link_libraries(osmcoastline_ways ${OSMIUM_IO_LIBRARIES} ${GDAL_LIBRARIES})
set_pthread_on_target(osmcoastline_ways)
install(TARGETS osmcoastline_ways DESTINATION bin)

# only used for testing - should not be installed
add_executable(nodegrid2opl nodegrid2opl.cpp)

=== test/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
#  CMake Config
#
#  OSMCoastline Tests
#
#-----------------------------------------------------------------------------

file(GLOB TEST_SCRIPTS t/*.sh)

list(SORT TEST_SCRIPTS)

foreach(file ${TEST_SCRIPTS})
    string(REGEX REPLACE "^.*/(.+).sh$" "\\1" tid ${file})

    message(STATUS "Adding test ${tid}")
    add_test(NAME test-${tid}
             COMMAND ${file} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${tid})
endforeach()


#-----------------------------------------------------------------------------

=== debian/changelog ===
osmcoastline (2.2.4-1build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:14:53 +0100

osmcoastline (2.2.4-1build1) focal; urgency=medium

  * No-change rebuild for gdal soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 14:31:42 +0000

osmcoastline (2.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 Feb 2019 17:56:26 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,15 @@
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.5.4),
+               libosmium2-dev (>= 2.13.1),
                libgdalcpp-dev,
                libspatialite-dev,
                pandoc,
+               spatialite-bin,
                sqlite3,
                zlib1g-dev
-Standards-Version: 4.1.5
-Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline/
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
 Homepage: https://osmcode.org/osmcoastline/

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|osmcoastline)[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osmcoastline-$1.$2/ \
https://github.com/osmcode/osmcoastline/releases \
(?:.*?/archive/)?(?:rel|v|osmcoastline)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osmcoastline 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 project(osmcoastline)
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
-set(OSMCOASTLINE_VERSION_MINOR 2)
-set(OSMCOASTLINE_VERSION_PATCH 4)
+set(OSMCOASTLINE_VERSION_MINOR 3)
+set(OSMCOASTLINE_VERSION_PATCH 0)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})
@@ -29,6 +29,8 @@
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 
+option(WITH_LZ4 "Build with lz4 support for PBF files" ON)
+
 
 #-----------------------------------------------------------------------------
 #
@@ -38,8 +40,23 @@
 
 include_directories(include)
 
-find_package(Osmium 2.13.1 COMPONENTS io gdal)
+find_package(Osmium 2.16.0 COMPONENTS io gdal)
 include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
+
+if(WITH_LZ4)
+    find_package(LZ4)
+
+    if(LZ4_FOUND)
+        message(STATUS "lz4 library found, compiling with it")
+        add_definitions(-DOSMIUM_WITH_LZ4)
+        include_directories(SYSTEM ${LZ4_INCLUDE_DIRS})
+        list(APPEND OSMIUM_IO_LIBRARIES ${LZ4_LIBRARIES})
+    else()
+        message(WARNING "lz4 library not found, compiling without it")
+    endif()
+else()
+    message(STATUS "Building without lz4 support: Set WITH_LZ4=ON to change this")
+endif()
 
 if(MSVC)
     find_path(GETOPT_INCLUDE_DIR getopt.h)
@@ -138,7 +155,7 @@
 #
 #-----------------------------------------------------------------------------
 message(STATUS "Looking for clang-tidy")
-find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-7 clang-tidy-7.0 clang-tidy-6.0 clang-tidy-5.0)
+find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-12 clang-tidy-11 clang-tidy-10 clang-tidy-9 clang-tidy-8)
 
 if(CLANG_TIDY)
     message(STATUS "Looking for clang-tidy - found ${CLANG_TIDY}")

=== debian/changelog ===
osmcoastline (2.3.0-1+deb11u1) bullseye; urgency=medium

  * Update branch in gbp.conf & Vcs-Git URL.
  * Add upstream patch to fix projections other than WGS84.
    (closes: #993518)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Sep 2021 15:43:37 +0200

osmcoastline (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Require at least libosmium2-dev 2.16.0.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Jan 2021 16:22:58 +0100

osmcoastline (2.2.4-3) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add upstream patch to fix test-invalid-complex-overlap failure.
    (closes: #977868)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Dec 2020 14:58:28 +0100

osmcoastline (2.2.4-2) unstable; urgency=medium

  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2020 19:00:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                cmake,
                libbz2-dev,
                libexpat1-dev,
                libgdal-dev,
                libgeos++-dev,
-               libosmium2-dev (>= 2.13.1),
+               libosmium2-dev (>= 2.16.0),
                libgdalcpp-dev,
                libspatialite-dev,
                pandoc,
                spatialite-bin,
                sqlite3,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline
-Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git -b bullseye
 Homepage: https://osmcode.org/osmcoastline/
 
 Package: osmcoastline

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_VERBOSE_MAKEFILE=1 -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_auto_test:
	dh_auto_test

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	(cd obj-* && ./runtest.sh || echo "Ignoring expected test failure")
endif

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\

## osmcoastline 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
 set(OSMCOASTLINE_VERSION_MINOR 3)
-set(OSMCOASTLINE_VERSION_PATCH 0)
+set(OSMCOASTLINE_VERSION_PATCH 1)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})

=== doc/CMakeLists.txt ===
#-----------------------------------------------------------------------------
#
#  CMake Config
#
#  OSMCoastline documentation
#
#-----------------------------------------------------------------------------

message(STATUS "Configuring documentation")

message(STATUS "Looking for doxygen")
find_package(Doxygen)

if(DOXYGEN_FOUND)
    message(STATUS "Looking for doxygen - found")
    configure_file(header.html ${CMAKE_CURRENT_BINARY_DIR}/header.html @ONLY)
    configure_file(Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
    add_custom_target(doc
        ${DOXYGEN_EXECUTABLE}
        ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
        COMMENT "Generating API documentation with Doxygen" VERBATIM
    )
#    install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
#            DESTINATION "share/doc/libosmium-dev")
else()
    message(STATUS "Looking for doxygen - not found")
    message(STATUS "  Disabled making of documentation.")
endif()

#-----------------------------------------------------------------------------
message(STATUS "Configuring documentation - done")


#-----------------------------------------------------------------------------

=== debian/changelog ===
osmcoastline (2.3.1-1build2) jammy; urgency=medium

  * No-change rebuild against libgdal30

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:30:29 +0000

osmcoastline (2.3.1-1build1) jammy; urgency=medium

  * No-change rebuild against libgdal29

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 26 Oct 2021 14:24:34 +0000

osmcoastline (2.3.1-1) unstable; urgency=medium

  * New upstream release.
    (closes: #993518)
  * Drop patches, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Sep 2021 15:35:31 +0200

osmcoastline (2.3.0-2) unstable; urgency=medium

  * Update watch file for GitHub URL changes.
  * Add patch to skip test which fails with GEOS 3.9.1.
    (closes: #992531)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Aug 2021 10:29:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: osmcoastline
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
@@ -18,7 +19,7 @@
                zlib1g-dev
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline
-Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git -b bullseye
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
 Homepage: https://osmcode.org/osmcoastline/
 
 Package: osmcoastline

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*\/)?(?:rel|v|osmcoastline)[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osmcoastline-$1.$2/ \
https://github.com/osmcode/osmcoastline/releases \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|osmcoastline)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osmcoastline 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 #-----------------------------------------------------------------------------
 
-cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.10 FATAL_ERROR)
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
 
@@ -19,8 +19,8 @@
 project(osmcoastline)
 
 set(OSMCOASTLINE_VERSION_MAJOR 2)
-set(OSMCOASTLINE_VERSION_MINOR 3)
-set(OSMCOASTLINE_VERSION_PATCH 1)
+set(OSMCOASTLINE_VERSION_MINOR 4)
+set(OSMCOASTLINE_VERSION_PATCH 0)
 
 set(OSMCOASTLINE_VERSION
     ${OSMCOASTLINE_VERSION_MAJOR}.${OSMCOASTLINE_VERSION_MINOR}.${OSMCOASTLINE_VERSION_PATCH})
@@ -71,12 +71,12 @@
 
 #-----------------------------------------------------------------------------
 #
-#  Decide which C++ version to use (Minimum/default: C++11).
+#  Decide which C++ version to use (Minimum/default: C++14).
 #
 #-----------------------------------------------------------------------------
 if(NOT MSVC)
     if(NOT USE_CPP_VERSION)
-        set(USE_CPP_VERSION c++11)
+        set(USE_CPP_VERSION c++14)
     endif()
     message(STATUS "Use C++ version: ${USE_CPP_VERSION}")
     # following only available from cmake 2.8.12:
@@ -155,7 +155,7 @@
 #
 #-----------------------------------------------------------------------------
 message(STATUS "Looking for clang-tidy")
-find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-12 clang-tidy-11 clang-tidy-10 clang-tidy-9 clang-tidy-8)
+find_program(CLANG_TIDY NAMES clang-tidy clang-tidy-16 clang-tidy-15 clang-tidy-14 clang-tidy-13 clang-tidy-12 clang-tidy-11)
 
 if(CLANG_TIDY)
     message(STATUS "Looking for clang-tidy - found ${CLANG_TIDY}")
@@ -194,7 +194,7 @@
 
     add_custom_target(cppcheck
         ${CPPCHECK}
-        --std=c++11 ${CPPCHECK_OPTIONS}
+        --std=c++14 ${CPPCHECK_OPTIONS}
         ${CPPCHECK_FILES}
     )
 else()

=== debian/changelog ===
osmcoastline (2.4.0-2build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:12:21 +1100

osmcoastline (2.4.0-2build3) noble; urgency=medium

  * No-change rebuild against libgeos-c1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:56:24 +0000

osmcoastline (2.4.0-2build2) noble; urgency=medium

  * Rebuild against new libgdal34.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Nov 2023 19:29:34 +0100

osmcoastline (2.4.0-2build1) mantic; urgency=medium

  * Rebuild against latest gdal

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jun 2023 13:53:40 -0400

osmcoastline (2.4.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Add patch to fix FTBFS with GDAL 3.7.0.
    (closes: #1037976)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Jun 2023 07:02:32 +0200

osmcoastline (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Dec 2022 14:54:17 +0100

osmcoastline (2.3.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Bump debhelper compat to 12, no changes.
  * Add Rules-Requires-Root to control file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 14:36:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libbz2-dev,
                libexpat1-dev,
@@ -17,10 +17,11 @@
                spatialite-bin,
                sqlite3,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmcoastline
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osmcoastline.git
 Homepage: https://osmcode.org/osmcoastline/
+Rules-Requires-Root: no
 
 Package: osmcoastline
 Architecture: any
